找回密码
 立即注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 1088|回复: 0

[讨论] Python translate模块的问题

1

主题

1

帖子

1

积分

贫民

积分
1
谢博文 发表于 2022-8-19 21:37:15 | 显示全部楼层 |阅读模式
来自CSDN的一个帖子说translate模块支持DeepL翻译器支持的所有语言。
DeepL支持保加利亚语、捷克语、丹麦语、德语、希腊语、英语(英国和美国)、西班牙语、爱沙尼亚语、芬兰语、法语、匈牙利语、印度尼西亚语、意大利语、日语、立陶宛语、拉脱维亚语、荷兰语、波兰语、葡萄牙语(巴西和欧洲)、罗马尼亚语、俄罗斯语、斯洛伐克语、斯洛文尼亚语、土耳其语、瑞典语和汉语
但我用这个模块翻译“你好”到保加利亚语时……
Traceback (most recent call last):
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38\lib\site-packages\translate\translate.py", line 45, in <genexpr>
    return ' '.join(self.provider.get_translation(text_wraped) for text_wraped in text_list)
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38\lib\site-packages\translate\providers\mymemory_translated.py", line 49, in get_translation
    next_best_match = next(match for match in matches)
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "<pyshell#1>", line 1, in <module>
    print(Translator(from_lang = "Chinese", to_lang = "Bulgarian").translate("你好"))
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38\lib\site-packages\translate\translate.py", line 45, in translate
    return ' '.join(self.provider.get_translation(text_wraped) for text_wraped in text_list)
RuntimeError: generator raised StopIteration

我无了个大语了!
代码如下,简简单单:
from translate import Translator
print(Translator(from_lang = "Chinese", to_lang = "Bulgarian").translate("你好"))

我的语法应该没什么错,就是如何翻译保加利亚语呢?求帮助!
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表